WinCE 5.0 Build 1400 javascript in IE is broken! - Programmers Heaven

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!


WinCE 5.0 Build 1400 javascript in IE is broken!

Hi all,

I'm developing some web based services for WinCE devices and I've come across a massive problem that WinCE 5.0 Build 1400 does not seem to support basic javascript functionality such as getElementById !!

I need to obtain information from form fields and i'm using document.getElementById() to grab the data.

This method works perfectly fine in ie6, ie7, firefox, safari, opera on the desktop. It works perfectly fine in WinCE 4.2 and in WinCE 5.0. But on the devices that have WinCE 5.0 Build 1400 getElementById just does not work at all!!!

If I do this:


then I can obtain the value from a form (and obtain the form element) in Build 1400

but if I do this


then nothing happens.

Is this a known bug and are there any fixes for it, I dont want to have to start changing code because IE is buggy.
Sign In or Register to comment.